JC		= javac
JAVAFLAGS	= -classpath ../
ALL_CLASSES	= Manager.class TableTemplate.class\
		  Antiques_Row.class Antiques_Table.class\
		  AntiqueOwners_Row.class AntiqueOwners_Table.class\
		  EmployeeAddressTable_Row.class EmployeeAddressTable_Table.class\
		  EmployeeStatisticsTable_Row.class EmployeeStatisticsTable_Table.class\
		  Orders_Row.class Orders_Table.class


.SUFFIXES: .java .class

.java.class:
	$(JC) $(JAVAFLAGS) $*.java


all:	$(ALL_CLASSES) $(ALL_PROGS)

clean:
	rm -f *% *~ *.o core $(ALL_PROGS) $(ALL_CLASSES)
